commit:     490897feafb1eb71b0e7ca1704e068ba53a9bc2f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 15 00:58:24 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Feb 15 00:58:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=490897fe

app-emulation/containerd: Version bump to 1.0.2

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-emulation/containerd/Manifest                |  1 +
 app-emulation/containerd/containerd-1.0.2.ebuild | 52 ++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-emulation/containerd/Manifest 
b/app-emulation/containerd/Manifest
index 62d91ce9871..98e959577a6 100644
--- a/app-emulation/containerd/Manifest
+++ b/app-emulation/containerd/Manifest
@@ -1,3 +1,4 @@
 DIST containerd-0.2.9_p20170917.tar.gz 1140788 BLAKE2B 
96effa85f9cb03c3e416d53438376af6c7965660bf9c9931fdfa7fee94cca9386f2732e70dc88ee32b83e902b7d4a3072e22a817d9970ed1e07dc1271e8b33ab
 SHA512 
c749bda691197ec8a7603db9ad92f2800a3f065143430a660333b7862518deb4c158a1c1fd01671dff438b40988d4a64d8f06bab05496b8728c6e2f57cd7da0a
 DIST containerd-1.0.0.tar.gz 3763785 BLAKE2B 
cd4af679c9028b616aeedd594518f796a350523899c13da5a848a5843b318394166ddfbf5e7ed1f473a3759b26d134659f928d8e15da17ebdf65a41d2fd5f914
 SHA512 
8c1a03de7f30976675e4482b4f18f4b87da56108de4d92f2e33b4cb4f8c188af5b3fad87971a294eac8442a0fb6ddae48cda81334c363203a8c8bdfc09176a7a
 DIST containerd-1.0.1.tar.gz 3766659 BLAKE2B 
36c96a9e3cba22578daff31e46d9a876095e9de7e20e1e84a41076d9936f30a5681e41187a90f9a01884fd02086fa3c9a6ee29c8261401988a1cfa2026952431
 SHA512 
351c0e298ba6a9a14df2f367df23049a8a833eb18238e3d41cf0066feb2e0b8f2aa7b25fb4484a1b5c95bccf5cba3a8076a5bcfe25602b5368e7cf2a20872160
+DIST containerd-1.0.2.tar.gz 3772144 BLAKE2B 
7549f47d1f0ff0244d7dedd41aabb76d2c2fc4942f8da3cf45fe0ca7b808b3aed4e39e0338d30ccc63cf37db3e59412442d43d272d3b073823e210a24d4d991a
 SHA512 
d6b8eeaa942e1dccb21feb0723bb1ee29c878992c0f7128038c967580b4c6a1b4110371aa60962a331627d869d027a20ca47e6c625aedf68cac5d532d7f7094a

diff --git a/app-emulation/containerd/containerd-1.0.2.ebuild 
b/app-emulation/containerd/containerd-1.0.2.ebuild
new file mode 100644
index 00000000000..0051a46346c
--- /dev/null
+++ b/app-emulation/containerd/containerd-1.0.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/containerd/${PN}"
+
+inherit toolchain-funcs
+
+if [[ ${PV} == *9999 ]]; then
+       inherit golang-vcs
+else
+       MY_PV="${PV/_rc/-rc.}"
+       EGIT_COMMIT="v${MY_PV}"
+       CONTAINERD_COMMIT="cfd0439"
+       SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~ppc64"
+       inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.tools";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+btrfs hardened"
+
+DEPEND="btrfs? ( sys-fs/btrfs-progs )"
+RDEPEND="|| ( >=app-emulation/docker-runc-1.0.0_rc4
+       >=app-emulation/runc-1.0.0_rc4 )
+       sys-libs/libseccomp"
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+src_prepare() {
+       default
+       if [[ ${PV} != *9999* ]]; then
+               sed -i -e "s/git describe --match.*$/echo ${PV})/"\
+                       -e "s/git rev-parse HEAD.*$/echo $CONTAINERD_COMMIT)/"\
+                       -e "s/-s -w//" \
+                       Makefile || die
+       fi
+}
+
+src_compile() {
+       local options=( $(usex btrfs "" "no_btrfs") )
+       export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
+       LDFLAGS=$(usex hardened '-extldflags -fno-PIC' '') emake 
BUILDTAGS="${options[@]}"
+}
+
+src_install() {
+       dobin bin/containerd{-shim,-stress,} bin/ctr
+}

Reply via email to